<%@ Control Language="C#" AutoEventWireup="true" CodeFile="WebUserControl.ascx.cs"
    Inherits="WebUserControl" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<h2 class="redGrad">
    Search Referrals</h2>
<telerik:RadSplitter ID="_searchRefSplitter" runat="server" Width="100%" Height="100%"
    HeightOffset="30" Orientation="Horizontal" ResizeWithParentPane="false" Skin="Office2007">
    <telerik:RadPane ID="_searchFormPane" runat="server" Width="100%" Height="60%">
        <div class="form">
            <fieldset>
                <p>
                    Enter search criteria for one or more of the elements below and click on <b>Search</b>.
                </p>
                <ol>
                    <li>
                        <telerik:RadTextBox ID="RefNumRadTextBox" runat="server" MaxLength="20" Label="Referral Number: "
                            Skin="Office2007" SelectionOnFocus="SelectAll" Width="300px">
                        </telerik:RadTextBox>
                    </li>
                    <li>
                        <telerik:RadTextBox ID="CustnameRadTextBox" runat="server" MaxLength="50" Label="Customer Name*: "
                            Skin="Office2007" SelectionOnFocus="SelectAll" Width="350px">
                        </telerik:RadTextBox>
                        &nbsp;<font color="red"><i>*Begins with</i></font> </li>
                    <li>
                        <telerik:RadTextBox ID="CustNumRadTextBox" runat="server" MaxLength="15" Label="Customer Number: "
                            Skin="Office2007" SelectionOnFocus="SelectAll" Width="350px">
                        </telerik:RadTextBox>
                    </li>
                    <li>
                        <telerik:RadTextBox ID="PublicIDRadTextBox" runat="server" Label="Participant Employee ID: "
                            Skin="Office2007" SelectionOnFocus="SelectAll" Width="350px">
                        </telerik:RadTextBox>
                    </li>
                    <li>
                        <telerik:RadTextBox ID="PartLastNmRadTextBox" runat="server" MaxLength="50" Label="Participant Last Name: "
                            Skin="Office2007" SelectionOnFocus="SelectAll" Width="350px">
                        </telerik:RadTextBox>
                        &nbsp;<font color="red"><i>*Begins with</i></font> </li>
                    <li>
                        <telerik:RadTextBox ID="ServiceOrdNumRadTextBox" runat="server" MaxLength="20" Label="Service Order Number: "
                            Skin="Office2007" SelectionOnFocus="SelectAll" Width="300px">
                        </telerik:RadTextBox>
                    </li>
                    <li>
                        <telerik:RadToolBar ID="_searchReferralToolBar" runat="server" Skin="Office2007"
                         >
                            <Items>
                                <telerik:RadToolBarButton runat="server" Text="Search" Font-Bold="true" ToolTip="Search Referral"
                                    Value="0">
                                </telerik:RadToolBarButton>
                                <telerik:RadToolBarButton runat="server" IsSeparator="True" PostBack="False" Text="Seperator">
                                </telerik:RadToolBarButton>
                                <telerik:RadToolBarButton runat="server" Text="Reset" Font-Bold="true" Value="1">
                                </telerik:RadToolBarButton>
                            </Items>
                        </telerik:RadToolBar>
                    </li>
                    <li>
                        <asp:Label ID="lblMessage" runat="server" Text="" Font-Bold="true" ForeColor="Red"></asp:Label>
                    </li>
                </ol>
            </fieldset>
        </div>
    </telerik:RadPane>
    <telerik:RadSplitBar ID="RadSplitBar3" runat="server" CollapseMode="Forward" />
    <telerik:RadPane ID="_searchResultsPane" runat="server" Width="100%" Height="40%">
        <h2 class="redGrad">
            Search Results</h2>
      <%--  <telerik:RadGrid ID="_searchResultsRadGrid" runat="server" AutoGenerateColumns="False"
            GridLines="Both" HorizontalAlign="Left" Skin="Office2007" Height="90%" AllowSorting="True"
            AllowPaging="true" PageSize="10">
            <PagerStyle NextPageText="&amp;gt;" PrevPageText="&amp;lt;" Mode="NextPrevAndNumeric">
            </PagerStyle>
            <MasterTableView CellSpacing="-1" AutoGenerateColumns="False" EnableNoRecordsTemplate="true"
                CommandItemDisplay="None">
                <Columns>
                    <telerik:GridHyperLinkColumn HeaderText="RefNum" DataTextField="RefNum" UniqueName="RefNum"
                        DataNavigateUrlFormatString="~\ManageReferrals.aspx?RefNum={0}" DataNavigateUrlFields="RefNum"
                        Target="_target" SortExpression="RefNum">
                        <HeaderStyle Width="10%" Wrap="false" />
                    </telerik:GridHyperLinkColumn>
                    <telerik:GridBoundColumn HeaderText="Date" UniqueName="OpenDt" DataField="OpenDt"
                        DataFormatString="{0:MM/dd/yyyy}">
                        <HeaderStyle Width="10%" Wrap="false" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn HeaderText="Customer Name" UniqueName="CustNm" DataField="CustNm">
                        <HeaderStyle Width="20%" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn HeaderText="Customer Phone" UniqueName="CustPhone" DataField="CustPhone">
                        <HeaderStyle Width="15%" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn HeaderText="Participant Last Name" UniqueName="ParticipantLastName"
                        DataField="ReferralPerson.Srch_LastNm">
                        <HeaderStyle Width="20%" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn HeaderText="Status" UniqueName="Status" DataField="Status">
                        <HeaderStyle Width="15%" />
                    </telerik:GridBoundColumn>
                </Columns>
                <NoRecordsTemplate>
                    No records to display.</NoRecordsTemplate>
            </MasterTableView>
            <ClientSettings>
                <DataBinding FilterParameterType="String"></DataBinding>
                <Scrolling AllowScroll="True" ScrollHeight="200px" UseStaticHeaders="True" />
                <Resizing AllowColumnResize="True" ClipCellContentOnResize="True" ResizeGridOnColumnResize="False" />
            </ClientSettings>
        </telerik:RadGrid>--%>
    </telerik:RadPane>
</telerik:RadSplitter>
