<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default2.aspx.cs" Inherits="Default2" %>

<%@ Register Src="WebUserControl.ascx" TagName="WebUserControl" TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <link rel="Stylesheet" href="styles/layout.css" type="text/css" />
    <link rel="Stylesheet" href="styles/branding.css" type="text/css" />
    <link rel="Stylesheet" href="styles/forms.css" type="text/css" />
    <link rel="stylesheet" href="styles/RedCurved/TabStrip.RedCurved.css" type="text/css" />
    <style type="text/css">
    html, body, form
    {
      height: 100%;
      margin: 0;
      padding: 0;
    }
    .rspCollapseBarHorizontalCollapse
    {
     float: none !important;
    }

    
    </style>
    <!--[if lte IE 7]>  
        <link rel="Stylesheet" href="styles/ie.css" type="text/css" />  
    <![endif]-->
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="RadScriptManager1" runat="server">
            <%-- ... --%>
        </asp:ScriptManager>
        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Height="75px"
            Width="75px">
            <img alt="Loading..." src='<%= RadAjaxLoadingPanel.GetWebResourceUrl(Page, "Telerik.Web.UI.Skins.Default.Ajax.loading.gif") %>'
                style="border: 0px;" />
        </telerik:RadAjaxLoadingPanel>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" DefaultLoadingPanelID="RadAjaxLoadingPanel1" />
        <div id="top">
            <div id="header">
                <asp:Image ID="imgBanner" runat="server" ImageUrl="images/banner_0508.jpg" />
            </div>
            <telerik:RadTabStrip ID="_manageRefTabCtl" runat="server" MultiPageID="RadMultiPage1"
                SelectedIndex="3" EnableEmbeddedSkins="false" Skin="RedCurved" Width="600" Style="float: right;">
                <Tabs>
                    <telerik:RadTab runat="server" Text="My Work" PageViewID="RadPageView1">
                    </telerik:RadTab>
                    <telerik:RadTab runat="server" Text="Manage Work" PageViewID="RadPageView2">
                    </telerik:RadTab>
                    <telerik:RadTab runat="server" Text="E-mail" PageViewID="RadPageView3">
                    </telerik:RadTab>
                    <telerik:RadTab runat="server" Text="Search" PageViewID="RadPageView4" Selected="true">
                    </telerik:RadTab>
                    <telerik:RadTab runat="server" Text="Address Book" PageViewID="RadPageView5">
                    </telerik:RadTab>
                    <telerik:RadTab runat="server" Text="Reports" PageViewID="RadPageView6">
                    </telerik:RadTab>
                </Tabs>
            </telerik:RadTabStrip>
            <h1 id="pageHeader">
                VZ Leads</h1>
        </div>
        <telerik:RadSplitter ID="_outerSplitter" runat="server" VisibleDuringInit="false"
            Width="100%" Height="100%" HeightOffset="150" Skin="Office2007">
            <telerik:RadPane ID="_leftPane" runat="server" Scrolling="None" MinWidth="400">
                <telerik:RadAjaxPanel ID="UpdatePanel1" runat="server">
                    <telerik:RadMultiPage ID="RadMultiPage1" runat="server">
                        <telerik:RadPageView ID="RadPageView1" runat="server">
                        </telerik:RadPageView>
                        <telerik:RadPageView ID="RadPageView2" runat="server">
                        </telerik:RadPageView>
                        <telerik:RadPageView ID="RadPageView3" runat="server">
                        </telerik:RadPageView>
                        <telerik:RadPageView ID="RadPageView4" runat="server">
                            <uc1:WebUserControl id="WebUserControl1" runat="server">
                            </uc1:WebUserControl>
                        </telerik:RadPageView>
                        <telerik:RadPageView ID="RadPageView5" runat="server">
                        </telerik:RadPageView>
                        <telerik:RadPageView ID="RadPageView6" runat="server">
                        </telerik:RadPageView>
                    </telerik:RadMultiPage>
                </telerik:RadAjaxPanel>
            </telerik:RadPane>
            <%--<telerik:RadSplitBar ID="_splitBar" CollapseMode="Backward" runat="server" />--%>
            <telerik:RadSplitBar ID="_splitBar" runat="server" />
            <telerik:RadPane ID="_rightPane" runat="server" Scrolling="Y" Width="22px" MinWidth="200">
                <telerik:RadSlidingZone runat="server" Width="22px" SlideDirection="Left">
                    <telerik:RadSlidingPane ID="_msgCenterSlidingPane" runat="server" Title="Message Center"
                        Width="250px">
                    </telerik:RadSlidingPane>
                </telerik:RadSlidingZone>
            </telerik:RadPane>
        </telerik:RadSplitter>
    </form>
</body>
</html>
